package networkinference;

/**
 *
 * @author Ilias Foudalis
 */
public class Edge {
    
    int from, to;
    double absCorrel,realCorrel, realWeight,absWeight ;
    public Edge()
    {}
    
    public Edge(int from, int to)
    {
        this.from = from;
        this.to = to;
    }
    
    public Edge(int from, int to, double correl)
    {
        this.from = from;
        this.to = to;
        this.absCorrel = correl;
    }
    
    public boolean equals(Object o)
    {
        Edge e = (Edge)o;
        if( !(e instanceof Edge))
            return false;
        else if( e.from == this.from && e.to == this.to)
            return true;
        else if( e.from == this.to && e.to == this.from)
            return true;
        else return false;
    }
    
}

